package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketCode;


/**
*  service接口类
*/
public interface MarketCodeService{

    List<MarketCode> getMarketCodeList(MarketCode record);

    List<MarketCode> getMarketCodeByPage(Page page, MarketCode record);

    MarketCode getMarketCodeById(String id);

    MarketCode getMarketCode(MarketCode record);

    boolean createMarketCode(MarketCode record);

    boolean deleteMarketCode(MarketCode record);

    boolean updateMarketCode(MarketCode record);
}

